Appearance
POST
/web-pages/page/pages/_searchRequired scope:
webpage:readSearches for a page and returns information about it including variable values, if the page is found.
Parameters
Query parameters
countryCode stringCountry code of the page. This or contentLocaleId must be provided.
languageCode stringLanguage code (in ISO 639-1 format) of the page. This or contentLocaleId must be provided.
contentLocaleId stringThe content locale of the page. This or countryCode and languageCode combination must be provided.
categoryId stringID of a category. This or path must be provided.
path stringURL path for this page. This or categoryId must be provided.
Response
The page and its variable values.
JSON
{
"categoryId": "fb840e50-8a8b-477c-a3c8-fffe2bf97e1c",
"categoryName": "Start Page",
"hidden": false,
"indexed": true,
"protectionLevel": "NONE",
"protectionFallbackCategoryId": "093ffd95-76b6-4249-a410-c984327c94eb",
"path": "/start",
"pageId": "d8ff524e-1272-4a15-b23f-261964c3554a",
"title": "Black Week Sale",
"metaTitle": "Start Page for Black Week Sale",
"metaDescription": "Temporary page for Black Week Sale",
"contentLocaleId": "774ab227-18fe-4541-ba3b-06ad3e95ae75",
"languageCode": "en",
"countryCode": "SE",
"layoutId": "e8391697-5592-434a-9e20-ac2316adc235",
"parentCategoryId": "0ee32a6e-0c4d-4f7b-bd89-f21ddad81135",
"siblingCategoryId": "04e0069f-8f37-43ce-952e-9c248feacb11",
"languageAlternatives": [
{
"contentLocaleId": "774ab227-18fe-4541-ba3b-06ad3e95ae75",
"languageCode": "sv",
"countryCode": "SE",
"path": "/start-sv"
}
],
"variables": [
{
"layoutSectionId": "be0111c5-a24b-47bd-86f7-77c12d632bdc",
"variableId": "e7f65f98-e2a6-4ffd-a985-6e6a4180f5e0",
"variableValue": "Welcome to start page!"
}
]
}
| Error code | Description |
|---|---|
web-pages.search-page.category-id-and-path-are-mutually-exclusive | Category ID and path are mutually exclusive. |
web-pages.search-page.category-id-or-path-required | Either category ID or path must be provided. |
web-pages.search-page.category-tree-not-found | Could not find the category tree for the web store. |
web-pages.search-page.content-locale-id-is-exclusive-with-country-code-and-language-code | Content locale ID is exclusive with country code and language code. |
web-pages.search-page.content-locale-id-or-country-code-and-language-code-required | Either content locale ID, or both country code and language code must be provided. |
web-pages.search-page.language-code-invalid | Specified language code is invalid. |
web-pages.search-page.locale-not-found | Could not find the locale by ID or by country code and language code combination. |
web-pages.search-page.page-not-found | Could not find the page by path. |